Subject: Re: Errors enabling bridge with KSZ9897 DSA switch driver

From: Andrew Lunn <[email-masked]>
Date: Fri, 28 Dec 2018 09:48:54 +0100

> FYI, changing the code in question to return 0 instead of -EOPNOTSUPP in
> the missing brport_flags_support flag case allows systemd-networkd to
> initialize the port successfully. We have some other issues in our
> hardware setup that prevent me from testing that fully at the moment,
> but I will likely submit that as a patch shortly unless I hear of a
> better solution..

Please wait until after new years when i get chance to look at this.

If you can get the supported flags, it seems odd to then ignore errors
when asked to enable something which is not supported. Either these
need to be mandatory, or systemd-networkd needs to ask before setting.

     Andrew